# Class TCefBytesWriteHandler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFWriteHandler

## Declaration

`type TCefBytesWriteHandler = class(TCefWriteHandlerOwn)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefWriteHandlerOwn
- TCefBytesWriteHandler

## Overview

### Fields

| `FCriticalSection: TRTLCriticalSection;`
| `FGrow: NativeUInt;`
| `FBuffer: Pointer;`
| `FBufferSize: int64;`
| `FOffset: int64;`

### Methods

| `function Grow(size : NativeUInt) : NativeUInt;`
| `constructor Create(aGrow : NativeUInt); reintroduce;`
| `destructor Destroy; override;`
| `function Write(const ptr: Pointer; size, n: NativeUInt): NativeUInt; override;`
| `function Seek(offset: Int64; whence: Integer): Integer; override;`
| `function Tell: Int64; override;`
| `function Flush: Integer; override;`
| `function MayBlock: Boolean; override;`
| `function GetData: pointer;`
| `function GetDataSize: int64;`

## Description

### Fields

| `FCriticalSection: TRTLCriticalSection;`
This item has no description.

| `FGrow: NativeUInt;`
This item has no description.

| `FBuffer: Pointer;`
This item has no description.

| `FBufferSize: int64;`
This item has no description.

| `FOffset: int64;`
This item has no description.

### Methods

| `function Grow(size : NativeUInt) : NativeUInt;`
This item has no description.

| `constructor Create(aGrow : NativeUInt); reintroduce;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

| `function Write(const ptr: Pointer; size, n: NativeUInt): NativeUInt; override;`
This item has no description. Showing description inherited from ICefWriteHandler.Write. Write raw binary data.

| `function Seek(offset: Int64; whence: Integer): Integer; override;`
This item has no description. Showing description inherited from ICefWriteHandler.Seek. Seek to the specified offset position. |whence| may be any one of SEEK_CUR, SEEK_END or SEEK_SET. Return zero on success and non-zero on failure.

| `function Tell: Int64; override;`
This item has no description. Showing description inherited from ICefWriteHandler.Tell. Return the current offset position.

| `function Flush: Integer; override;`
This item has no description. Showing description inherited from ICefWriteHandler.Flush. Flush the stream.

| `function MayBlock: Boolean; override;`
This item has no description. Showing description inherited from ICefWriteHandler.MayBlock. Return true (1) if this handler performs work like accessing the file system which may block. Used as a hint for determining the thread to access the handler from.

| `function GetData: pointer;`
This item has no description.

| `function GetDataSize: int64;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.